<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- Tags added in the head tag for the html cannot be seen in the webpage. -->
	<!-- We add additional information about our html document in the head but add content in the body. -->
	<!-- meta tags add additional information about our page. charset="utf-8" just tells our browser that for this HTML document, we will use the default cahrater set. -->
	<title>Introduction to HTML</title>
	<!-- Title tags add the title for the page. It can be usually seen in the tab but not in the webpage itself. -->
</head>
<body>
	<!-- command + / to create HTML Comments -->
	<!-- HTML Comments are added to allow us to add notes in our HTML files. These comments will not be read and displayed in the webpage. -->
	<!-- Headings are Tags that create heading elements. These heading elements are bolded and larger that the default font size. It is used as a title or to grab the attention of someone to the text. -->
	<h1>Welcome to Zuitt!</h1>
	<h2>This is our first webpage</h2>
	<h3>We are excited to be here.</h3>
	<h4>We like HTML, CSS, and JS.</h4>
	<!-- h5 and h6 are smaller than default font size, and NOT usually added before a paragraph. USUALLY Added on the Footer.-->
	<h5>Web Development is the future.</h5>
	<h6>Web development Learning is easier with Zuitt</h6>

	<!-- Paragraph tags are used to create paragraphs which contain text. -->
	<p>I am Ralph Louies Dequina, and I am a Zuitt Online Bootcamper.</p>
	<p>This is a second paragrah.</p>

	<!-- Span elements are created to contain other elements or text. -->
	<span>This is a span.</span>
	<span>This is another span.</span>

	<!-- Block elements occupy the full width of the parent element. Examples include HEADINGS and PARAGRAPHS elements. -->

	<!-- SPAN elements only occupy the width of its content. It does not break the line just like our block elements. -->

	<!-- Elements dont only contatin text but also other elements. -->
	<!-- 
	However, text elements like paragraph and headings, can contain other elements BUT it shoud be primarily be used to contain text or other text elements.
		Best Practice:
		Do not add an IMAGE inside the paragraph element.
		Do not add an IMAGE inside the heading element.
		Do not add a HEADING inside the paragraph element.
	 -->
	 <!-- em are used to make italized elements and strong to make a bold elememts. They are both inline elements.-->


	<p>
		Welcome to <em>Zuitt!</em> In this <strong>Online Bootcamp Course</strong>, we will learn a lot of things.
	</p>

	<h3>What we will learn in our bootcamp:</h3>

	<!-- 
		ul tags create an unordered list. With this, we can create a list with items preceded by a bullet point to show that the items are in no particular order. 

		li tags allows us to create list items. List items are the elements that are the content or the the items of our lists. 

		ol tags create ordered list. With this, we can create a list of items preceded by a number or a letter to show a particular order.

	 -->

	<ul>
		<!-- To copy a TAG, put the cursor on the end tag, Command + SHIFT + D -->
		<li>Languages</li>
		<!-- Create an unordered list of the languages we will learn in the boothcamp:
			- HTML
			- CSS
			- JavaScript
		 -->
		 <ul>
		 	<li>HTML</li>
		 	<li>CSS</li>
		 	<li>JavaScript</li>
		 </ul>
		<li>Frameworks and Libraries</li>
		<ol>
			<li>Bootstrap</li>
			<li>Express.js</li>
			<li>React.js</li>
		</ol>
		<li>Tools</li>
		<!-- elements inside another elements are called nested elements. -->
		<!-- elements that contain another element is called the parent element. -->
		<ol>
			<li>Git</li>
			<li>Gitlab</li>
			<li>Sublime</li>
			<li>Postman</li>
			<li>Google Chrome</li>
			<li>Other Tools</li>
			<ul>
				<li>MongoDB</li>
				<li>Robo3T</li>
			</ul>			
		</ol>
	</ul>
	<!-- Mini-Activity -->
	<!-- 
		Research the use of <hr> tag
		Add an hr after the ul
		Add the largest heading with your name as text content
		Add a paragraph element with a short introduction of yourself. (2-3 sentences)
		Add the 3rd largest heading with the text content:
			My Interest and Hobbies

		Add an unordered list with list items for each of your hobbies or interests.

	 -->

	 <!-- hr - horizontal rule - creates a horizontal line to show division in our webpage. It occupies the full width of its parent element. -->
	 <hr>

	 <h1>Ralph Louies Dequina</h1>
	 <p>
	 	I am a licensed Mechanical Engineer from University of Santo Tomas. I am 26 years old, turning 27 this coming December. And living in San Juan, Batangas, I am proud Batangeneo.
	 </p>
	 <h3>My Interests and Hobbies</h3>
	 <ul>
	 	<li>Playing Piano</li>
	 	<li>Playing Guitar</li>
	 	<li>Read anything interesting</li>
	 </ul>


</body>
</html>	